=begin
for Sketchup Expert
by DBS

v.1.0 - 2020.06.26
- based on Line Up 1.0.1
- added 3s animated move
- function to choose alligment point other that face center
v.1.1 - 2020.06.27
- logo
- animation time 2s
v.2.0 - 2021.07.22
- SKP EXPERT lic
v.2.1 - 2021.10.09
- animation time setting
- no selection during animation
- rotation object function after animated lineup
v.2.2 - 2021.10.10
- CTRL / ALT (Mac) select oposit face for 1st
v.2.3 - 2021.11.01
- CTRL / ALT (Mac) - Flip object
- smooth rotation - InputPoint from model only for 0 degrees of freedom

=end

require 'sketchup.rb'
require 'extensions.rb'

module EXPERT
module LineUp2
  unless file_loaded?(__FILE__)

  path = __FILE__
  path.force_encoding("UTF-8") if path.respond_to?(:force_encoding)

  FILE_BASENAME = File.basename(path, ".*")
  PLUGIN_DIR = File.join(File.dirname(path), FILE_BASENAME)

  EXTENSION = SketchupExtension.new("中心对齐 2", File.join(PLUGIN_DIR, "main"))
  EXTENSION.name
  EXTENSION.creator     = "Joachim von Rost"
  EXTENSION.description = "中心对齐2 ： 先选择一个物体的一个面，再点击另外一个物体的一个面, 可以将两个物体以这两个面贴合的形式连接在一起"
  EXTENSION.version     = "2.3"
  EXTENSION.copyright   = "2021, #{EXTENSION.creator}"
  Sketchup.register_extension(EXTENSION, true)

  end
end
end